album_api_version: 0.5.5
args:
- description: The directory where a new CellSketch project will be created.
  name: parent
  required: true
  type: directory
- description: The name of the new project.
  name: name
  required: true
  type: string
- description: The raw dataset of the cell (3D).
  name: input
  required: true
  type: file
- description: Unit conversion factor from pixels to micrometers
  name: pixel_to_um
  required: true
  type: float
- default: 1
  description: Scale factor Z of input dataset
  name: scale_z
  type: float
- default: false
  description: Do not open the CellSketch Viewer after creating the project
  name: headless
  type: boolean
changelog: null
cite:
- doi: https://doi.org/10.1083/jcb.202010039
  text: "A. M\xFCller, D. Schmidt, C. S. Xu, S. Pang, J. V. D\u2019Costa, S. Kretschmar,\
    \ C. M\xFCnster, T. Kurth, F. Jug, M. Weigert, H. F. Hess, M. Solimena; 3D FIB-SEM\
    \ reconstruction of microtubule\u2013organelle interaction in whole primary mouse\
    \ \u03B2 cells. J Cell Biol 1 February 2021; 220 (2): e202010039."
- doi: 10.1038/nmeth.3392
  text: "Pietzsch, T., Saalfeld, S., Preibisch, S., & Tomancak, P. (2015). BigDataViewer:\
    \ visualization and processing for large image data sets. Nature Methods, 12(6),\
    \ 481\u2013483."
covers:
- description: These are exemplary masks which this solution imports into a joint
    BDV project.
  source: cover.jpg
description: This solution creates a new CellSketch project by importing the raw dataset
  as well as masks and labelings of cell components.
group: de.mdc-berlin
name: cellsketch-create
solution_creators:
- Deborah Schmidt
tags:
- bdv
- cellsketch
- segmentation
- annotation
timestamp: '2023-04-02T22:02:56.251687'
title: 'CellSketch: Create new project'
version: 0.1.0
